package com.chinaitop.depot.intelligent.basicdata.mapper;


import com.chinaitop.depot.intelligent.basicdata.model.MonitorAlarmPhone;
import com.chinaitop.depot.intelligent.basicdata.model.MonitorAlarmPhoneExample;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface AlarmPhoneMapper {
    long countByExample(MonitorAlarmPhoneExample example);

    int deleteByExample(MonitorAlarmPhoneExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(MonitorAlarmPhone record);

    int insertSelective(MonitorAlarmPhone record);

    List<MonitorAlarmPhone> selectByExample(MonitorAlarmPhoneExample example);

    MonitorAlarmPhone selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") MonitorAlarmPhone record, @Param("example") MonitorAlarmPhoneExample example);

    int updateByExample(@Param("record") MonitorAlarmPhone record, @Param("example") MonitorAlarmPhoneExample example);

    int updateByPrimaryKeySelective(MonitorAlarmPhone record);

    int updateByPrimaryKey(MonitorAlarmPhone record);

}